<table summary="" class="campl-table-bordered campl-table-striped
	campl-table  campl-vertical-stacking-table">
  <thead>
    <tr><th>U</th><th colspan="{{ rack_cols }}">Contents</th></tr>
  </thead>
  <tbody>
    {% for u in rack_contents reversed %}
      <tr>
        <td>{{ u.u_position }}</td>
	{% if u.gap %}
	  <td rowspan="{{ u.gap }}" colspan="{{ u.colspan }}">
	    {{ u.gap }} U gap
	  </td>
	{% else %}
          {% for resource in u.boxes %}
            <td rowspan="{{ resource.fwd.u_size.0 }}"
	        colspan="{{ u.colspan }}">
              {% include "ucs_besplusplus/resource_snippet.html" %}
            </td>
          {% endfor %}
	{% endif %}
      </tr>
    {% endfor %}
  </tbody>
</table>
